<?php

	namespace VLW\Database\Tables\Work;

	use vlw\xEnum;

	enum Actions: string {
		use xEnum;
		
		const TABLE = "work_actions";

		case ID           = "id";
		case REF_WORK_ID  = "ref_work_id";
		case ORDER_IDX    = "order_idx";
		case HREF         = "href";
		case TEXT         = "text";
		case CLASSLIST    = "classlist";
		case ICON_PREPEND = "icon_prepend";
		case ICON_APPEND  = "icon_append";
	}